#define DEFLT_SCRFULL   24


typedef unsigned char path[_MAX_PATH];


int     delve( char * );
char    *get_targetdir( char *, char * );
int     change_drive( unsigned );
void    display_line( char * );
void    display_strings( char *[] );
char    locase( char );


char            version[]="\nTRUNK v1.20, 4 May 1988, by Mike O'Regan";
extern int      errno;
extern char     *sys_errlist[];


char    *help_msg[]= {
	" ",
	"TRUNK [?] [/?] [/h] [/y] [/f] [/mx] [/nx] [/s] [/o] [/l] [/pn] [/v] [/$] [path]",
	"    ?,/?: help -- display this message",
	"    /h:   Hidden -- include hidden directories/files in search",
	"    /y:   sYstem -- include system files in search (activates /h)",
	"    /f:   Files -- display names of files found, not directories",
	"    /mx:  Match -- only files matching x are displayed (e.g. '/m*.EXE')",
	"    /nx:  No -- when x='d': drive letter is not displayed",
	"                when x='p': drive letter and path are not displayed",
	"    /s:   Summary -- follow directory/file list with directory/file counts",
	"    /o:   summary Only -- display only a summary, no directory/file list",
	"    /l:   Lower case -- display directory/file names in lower case",
	"    /p:   Pause -- pause display every n lines (or 24 if no n given)",
	"    /v:   Version -- display the current version of TRUNK",
	"    /$:   display information about TRUNK",
	"    path: path -- the path of the directory in which to start TRUNKing",
	""
	};

char    *info_msg[]= {
	version,
	" ",
	"This version of TRUNK lies in the public domain and thus may be used by any",
	"party for any purpose.  Send comments, bug reports, and unwanted records to:",
	" ",
	"Mike O'Regan",
	"2739 Kingston Dr.",
	"Northbrook, IL  60062",
	""
	};
